Debian Bug report logs - #385732
gcc-defaults: Non-free files in source package

version graph

Package: gcc-defaults; Maintainer for gcc-defaults is Debian GCC Maintainers <debian-gcc@lists.debian.org>;

Reported by: Sven Joachim <sven_joachim@web.de>

Date: Sat, 2 Sep 2006 16:48:05 UTC

Severity: serious

Found in versions 1.42, 1.47

Fixed in versions gcc-defaults/1.43, gcc-defaults/1.48

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-defaults: Non-free files in source package
Date: Sat, 02 Sep 2006 18:40:02 +0200
Package: gcc-defaults
Version: 1.42
Severity: serious

The source package still contains the non-free files fsf-funding.7,
gfdl.7 and gpl.7, apparently for no good reason since they aren't
installed.  Please remove them.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.11
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@cs.tu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 385732@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@cs.tu-berlin.de>
To: Sven Joachim <sven_joachim@web.de>, 385732@bugs.debian.org
Subject: Re: Bug#385732: gcc-defaults: Non-free files in source package
Date: Sat, 2 Sep 2006 21:34:59 +0200
Sven Joachim writes:
> Package: gcc-defaults
> Version: 1.42
> Severity: serious
> 
> The source package still contains the non-free files fsf-funding.7,

ok.

> gfdl.7 and gpl.7, apparently for no good reason since they aren't
> installed.  Please remove them.

no, license texts can be included. there's no reason to remove them.

  Matthias



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 385732@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: Matthias Klose <doko@cs.tu-berlin.de>
Cc: 385732@bugs.debian.org
Subject: Re: Bug#385732: gcc-defaults: Non-free files in source package
Date: Sun, 03 Sep 2006 12:08:15 +0200
Matthias Klose wrote:

>> The source package still contains the non-free files fsf-funding.7,
> 
> ok.
> 
>> gfdl.7 and gpl.7, apparently for no good reason since they aren't
>> installed.  Please remove them.
> 
> no, license texts can be included. there's no reason to remove them.

But the GFDL is not the license for any package built from gcc-defaults,
so why should it be in the source package?  Having the GPL text is ok,
but it is a bit odd that it's a man page rather than plain text.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to Peter Moulder <Peter.Moulder@infotech.monash.edu.au>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 385732@bugs.debian.org (full text, mbox):

From: Peter Moulder <Peter.Moulder@infotech.monash.edu.au>
To: 385732@bugs.debian.org
Subject: downgrade severity?
Date: Sat, 09 Sep 2006 17:19:32 +1000
Can this bug's title be changed to "Source package contains useless
files", and accordingly its severity be reduced to minor or wishlist ?

pjrm.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to "Steinar H. Gunderson" <sgunderson@bigfoot.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 385732@bugs.debian.org (full text, mbox):

From: "Steinar H. Gunderson" <sgunderson@bigfoot.com>
To: Peter Moulder <Peter.Moulder@infotech.monash.edu.au>
Cc: 385732@bugs.debian.org
Subject: Re: downgrade severity?
Date: Mon, 25 Sep 2006 14:30:12 +0200
On Sat, Sep 09, 2006 at 05:19:32PM +1000, Peter Moulder wrote:
> Can this bug's title be changed to "Source package contains useless
> files", and accordingly its severity be reduced to minor or wishlist ?

Not as long as fsf-funding.7 is still in the source package.

/* Steinar */
-- 
Homepage: http://www.sesse.net/



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Joachim <sven_joachim@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 385732-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 385732-close@bugs.debian.org
Subject: Bug#385732: fixed in gcc-defaults 1.43
Date: Sat, 30 Sep 2006 05:47:20 -0700
Source: gcc-defaults
Source-Version: 1.43

We believe that the bug you reported is fixed in the latest version of
gcc-defaults, which is due to be installed in the Debian FTP archive:

cpp_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/cpp_4.1.1-8_i386.deb
g++_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/g++_4.1.1-8_i386.deb
g77_3.4.6-12_i386.deb
  to pool/main/g/gcc-defaults/g77_3.4.6-12_i386.deb
gcc-defaults_1.43.dsc
  to pool/main/g/gcc-defaults/gcc-defaults_1.43.dsc
gcc-defaults_1.43.tar.gz
  to pool/main/g/gcc-defaults/gcc-defaults_1.43.tar.gz
gcc_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gcc_4.1.1-8_i386.deb
gcj_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gcj_4.1.1-8_i386.deb
gfortran_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gfortran_4.1.1-8_i386.deb
gij_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gij_4.1.1-8_i386.deb
gnat_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gnat_4.1.1-8_i386.deb
gobjc++_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gobjc++_4.1.1-8_i386.deb
gobjc_4.1.1-8_i386.deb
  to pool/main/g/gcc-defaults/gobjc_4.1.1-8_i386.deb
gpc-doc_3.4.6-12_i386.deb
  to pool/main/g/gcc-defaults/gpc-doc_3.4.6-12_i386.deb
gpc_3.4.6-12_i386.deb
  to pool/main/g/gcc-defaults/gpc_3.4.6-12_i386.deb
libgcj-bc_4.1.1-14_i386.deb
  to pool/main/g/gcc-defaults/libgcj-bc_4.1.1-14_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 30 Sep 2006 13:55:56 +0200
Source: gcc-defaults
Binary: gobjc gij g++ gcc lib32gcj-bc g77 gobjc++ gpc libgcj-bc gpc-doc gnat gcj cpp gfortran
Architecture: source i386
Version: 1.43
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp        - The GNU C preprocessor (cpp)
 g++        - The GNU C++ compiler
 g77        - The GNU Fortran 77 compiler
 gcc        - The GNU C compiler
 gcj        - The GNU Java compiler
 gfortran   - The GNU Fortran 95 compiler
 gij        - The GNU Java bytecode interpreter
 gnat       - The GNU Ada compiler
 gobjc      - The GNU Objective-C compiler
 gobjc++    - The GNU Objective-C++ compiler
 gpc        - The GNU Pascal compiler
 gpc-doc    - Documentation for the GNU Pascal compiler (gpc)
 libgcj-bc  - Link time only library for use with gcj
Closes: 385732 387161 388347 389215 390201
Changes: 
 gcc-defaults (1.43) unstable; urgency=low
 .
   * Do not install alternatives for man pages licensed under the GFDL,
     second round. Closes: #387161, #390201, #388347.
   * Upload package built with -Ifsf-funding. Closes: #385732.
   * Let gij provide java2-runtime. Closes: #389215.
Files: 
 93397bfd1f95c25bbd9e23fce5d930a6 777 devel standard gcc-defaults_1.43.dsc
 6a9646c7581d66f2c585bcd1ce0725b8 83367 devel standard gcc-defaults_1.43.tar.gz
 ab7af800ef2790dc2fd040699f85bd09 9962 interpreters standard cpp_4.1.1-8_i386.deb
 3ccb7f3f50f3d17039e1653c5ce7283a 5056 devel standard gcc_4.1.1-8_i386.deb
 2fa6bb3722bbfbcb7d1b1b85b0966830 862 devel optional gnat_4.1.1-8_i386.deb
 b38fb1f763a3a4bdea3395d3853bc32c 1354 devel standard g++_4.1.1-8_i386.deb
 25132ea05557f6c02ffe05e3b9c99757 834 devel optional gobjc_4.1.1-8_i386.deb
 05e9cd0a3dfcaf22d1011a1f0444b5c4 860 devel optional gobjc++_4.1.1-8_i386.deb
 a6c47fa88ff40943cf20a7894d2a9594 1224 devel optional g77_3.4.6-12_i386.deb
 870dab2882353047784c2b104b886ff3 1114 devel optional gfortran_4.1.1-8_i386.deb
 c0bdaf68de56cb5f5930a8c6eb667375 1450 devel optional gpc_3.4.6-12_i386.deb
 3062252b3f5472d94a9bccbf5ec59d7a 1014 doc optional gpc-doc_3.4.6-12_i386.deb
 8cf487367cdf79094f3d8dc0daef49df 1202 devel optional gcj_4.1.1-8_i386.deb
 e0f5718e3e32a0c9ef73460fe5f3c04d 1264 devel optional gij_4.1.1-8_i386.deb
 c63a249b2097681d1416785c5e9f65ec 1078 libs optional libgcj-bc_4.1.1-14_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFHmWgStlRaw+TLJwRAvypAJwOR58XLcJwlaLEX0cnLL8GAbQCbACgh2oY
m5sQS+5Q7sLLPx9h3Ql+3zk=
=9bZ9
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#385732; Package gcc-defaults. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <sven_joachim@web.de>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 385732@bugs.debian.org (full text, mbox):

From: Sven Joachim <sven_joachim@web.de>
To: 385732@bugs.debian.org
Subject: fsf-funding.7: it's back!
Date: Wed, 18 Oct 2006 18:28:11 +0200
found #385732 1.47
thanks

In version 1.47, fsf-funding.7 is in the source tarball again.
Reopening the bug,

Sven





Bug marked as found in version 1.47. Request was from Sven Joachim <sven_joachim@web.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Joachim <sven_joachim@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 385732-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 385732-close@bugs.debian.org
Subject: Bug#385732: fixed in gcc-defaults 1.48
Date: Wed, 18 Oct 2006 15:48:53 -0700
Source: gcc-defaults
Source-Version: 1.48

We believe that the bug you reported is fixed in the latest version of
gcc-defaults, which is due to be installed in the Debian FTP archive:

cpp_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/cpp_4.1.1-13_i386.deb
g++_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/g++_4.1.1-13_i386.deb
g77_3.4.6-17_i386.deb
  to pool/main/g/gcc-defaults/g77_3.4.6-17_i386.deb
gcc-defaults_1.48.dsc
  to pool/main/g/gcc-defaults/gcc-defaults_1.48.dsc
gcc-defaults_1.48.tar.gz
  to pool/main/g/gcc-defaults/gcc-defaults_1.48.tar.gz
gcc_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gcc_4.1.1-13_i386.deb
gcj_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gcj_4.1.1-13_i386.deb
gfortran_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gfortran_4.1.1-13_i386.deb
gij_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gij_4.1.1-13_i386.deb
gnat_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gnat_4.1.1-13_i386.deb
gobjc++_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gobjc++_4.1.1-13_i386.deb
gobjc_4.1.1-13_i386.deb
  to pool/main/g/gcc-defaults/gobjc_4.1.1-13_i386.deb
gpc-doc_3.4.6-17_i386.deb
  to pool/main/g/gcc-defaults/gpc-doc_3.4.6-17_i386.deb
gpc_3.4.6-17_i386.deb
  to pool/main/g/gcc-defaults/gpc_3.4.6-17_i386.deb
libgcj-bc_4.1.1-19_i386.deb
  to pool/main/g/gcc-defaults/libgcj-bc_4.1.1-19_i386.deb
libgcj-common_4.1.1-19_i386.deb
  to pool/main/g/gcc-defaults/libgcj-common_4.1.1-19_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385732@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Oct 2006 20:48:45 +0200
Source: gcc-defaults
Binary: gobjc gij g++ gcc lib32gcj-bc g77 gobjc++ gpc libgcj-bc gpc-doc gnat libgcj-common gcj cpp gfortran
Architecture: source i386
Version: 1.48
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp        - The GNU C preprocessor (cpp)
 g++        - The GNU C++ compiler
 g77        - The GNU Fortran 77 compiler
 gcc        - The GNU C compiler
 gcj        - The GNU Java compiler
 gfortran   - The GNU Fortran 95 compiler
 gij        - The GNU Java bytecode interpreter
 gnat       - The GNU Ada compiler
 gobjc      - The GNU Objective-C compiler
 gobjc++    - The GNU Objective-C++ compiler
 gpc        - The GNU Pascal compiler
 gpc-doc    - Documentation for the GNU Pascal compiler (gpc)
 libgcj-bc  - Link time only library for use with gcj
 libgcj-common - Java runtime library (common files)
Closes: 385732
Changes: 
 gcc-defaults (1.48) unstable; urgency=low
 .
   * Remove fsf-funding (again). Closes: #385732.
Files: 
 218f537eb21b0cee123c18e29a6a4a08 792 devel standard gcc-defaults_1.48.dsc
 77183e36f0ae6c547fd7e1ae3974d17c 41927 devel standard gcc-defaults_1.48.tar.gz
 dc92137dc5416109c0bf8bced863956d 10312 interpreters standard cpp_4.1.1-13_i386.deb
 9b173b11fd2b0ab862ea5060a3f41057 5056 devel standard gcc_4.1.1-13_i386.deb
 a16b60e47ab6fc54ec7a51c1a48300dd 866 devel optional gnat_4.1.1-13_i386.deb
 d567561ab726ad2746dba91b191bc3bb 1364 devel standard g++_4.1.1-13_i386.deb
 a397c01ee38c3287cd79dc1d7adbf717 838 devel optional gobjc_4.1.1-13_i386.deb
 e5f1acaa2eb0888c60be47d8c087635e 864 devel optional gobjc++_4.1.1-13_i386.deb
 54a9aee9c2e3b9e4c20f778004a44cdb 1224 devel optional g77_3.4.6-17_i386.deb
 8d1193e3b91561775cfdee5a6c3f9199 1128 devel optional gfortran_4.1.1-13_i386.deb
 009462530149774ebcbc1ddebd700168 1448 devel optional gpc_3.4.6-17_i386.deb
 f3a8398a18c9037b841ff5b195fc6d14 1018 doc optional gpc-doc_3.4.6-17_i386.deb
 0709a03cfe82a560354c3757867e717f 1204 devel optional gcj_4.1.1-13_i386.deb
 2aa99c736253cc268c7484aaa6220279 1264 devel optional gij_4.1.1-13_i386.deb
 64b680c89bbe53f8d8d6f7d6cf85bbfe 1114 libs optional libgcj-bc_4.1.1-19_i386.deb
 73c380b7dd434aac7947bf6f2f3204f1 10240 libs optional libgcj-common_4.1.1-19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNndUStlRaw+TLJwRAuHDAJ9y62EcPC1tCgOgtIzHHvcVz6ULZQCfTkzC
U7TYaS0+268riPfomPPmjSs=
=pRKP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:26:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.